
 chrome.storage.local.get(['selectedFeaturetk']).then(result => {
  console.log("我的tiktok功能开关:", result.selectedFeaturetk);
}) ;
chrome.storage.local.get(['apikey'], (result) => {
  const savedApikey = result.apikey;
  console.log("我的apikey", savedApikey);
   

// 定期查询接口
function queryServertk() {

    const input = document.querySelector('.css-1kvtqrg-DivEditor');

    if(!input){
        return;
    }
  const url = "https://live2.tingwu.co/wsttsgpt.php";
  const data = {
    type: "query",
    apikey: savedApikey
  };
  
  fetch(url, {
    method: "POST",
    headers: {
      'Content-Type': 'application/json'
    },
    body: JSON.stringify(data)
  })
  .then(response => response.json()) 
  .then(data => {
    if (data.code === 10000) {
        const contents = data.data;
        const id = contents['id'];
        const apikey = contents['apikey']; 
        const nickname = contents['nickname'];
        const question = contents['question'];
        const answer = contents['answer'];
        const pintai = contents['pintai'];

        if(pintai == 'tk'){
            // tk,把内容输入到输入框
          
           
            if(input){ console.log(answer);
               
                input.dispatchEvent(new InputEvent('input', { bubbles: true }));
                input.innerHTML = answer;
                input.dispatchEvent(new InputEvent('change', { bubbles: true }));
       
                // 等待
                setTimeout(() => {
                    const button = document.querySelector('.css-1dgtn4b-DivPostButton');
                    if(button){
                        // 获取button的父元素并点击
                       
                            // 如果找不到父元素button，直接触发svg的点击事件
                            button.dispatchEvent(new MouseEvent('click', {
                                bubbles: true, 
                                cancelable: true,
                                view: window
                            }));
                          
                    }
                }, 200);
                
            }
        }
    }
  })
  .catch(error => {
    console.error("请求失败:", error);
  });
}

chrome.storage.local.get(['selectedFeaturetk']).then(result => {
    if(result.selectedFeaturetk == 'tk'){
        setInterval(queryServertk, 2000);
    }
}) ;



// 监听评论信息变化
function fetchTiktokComments() {
  const seen_tk = new Set(JSON.parse(localStorage.getItem('seenComments_tk') || '[]'));
  
  // 使用 MutationObserver 监听评论变化
  const observertkdm = new MutationObserver((mutations) => {
    mutations.forEach((mutation) => {
      if (mutation.type === 'childList' && mutation.addedNodes.length > 0) {
        // 处理新增的评论
        mutation.addedNodes.forEach((node) => {
          if (node.classList && node.classList.contains('css-q7q87j-DivChatMessage')) {
            const username = node.querySelector('.css-1ymr58b-SpanEllipsisName')?.innerText || '';
            const content = node.querySelector('.css-1kue6t3-DivComment')?.innerText || '';
            const timestamp = new Date().toLocaleString('zh-CN', { hour12: false });

            const commentId = `${username}-${content}`;
            
            if (seen_tk.has(commentId) || content == '') {
              return null;
            } else {
              seen_tk.add(commentId);
              // 更新localStorage中的seen集合
              localStorage.setItem('seenComments_tk', JSON.stringify(Array.from(seen_tk)));

              // 构建评论数据
              const commentData = {
                username: username,
                content: content,
                timestamp: timestamp
              };
              
              // 发送到后端
              const url = "https://live2.tingwu.co/sphapi.php?action=add_comment_log_tk&apikey=" + savedApikey;
              const formData = new FormData();
              formData.append('type', '评论');
              formData.append('username', commentData.username);
              formData.append('content', commentData.content);
              formData.append('timestamp', commentData.timestamp);

              fetch(url, {
                method: "POST",
                body: formData
              })
              .then(response => response.json())
              .then(data => {
                if (data.error === 0) {
                  // 更新日志
                  updateLogArea_tk(JSON.stringify(commentData, null, 2), "评论信息");
                }
              })
              .catch(error => {
               
              });
            }
          }
        });
      }
    });
  });

  // 开始监听评论容器的变化
  observertkdm.observe(document.body, {
    childList: true,
    subtree: true
  });
}




// 监听用户进入直播间
function observeUserJoins() {
  const observertkjoin = new MutationObserver((mutations) => {
    mutations.forEach((mutation) => {
      mutation.addedNodes.forEach((node) => {



        if (node.nodeType === 1) { // 检查是否为元素节点
          const enterMessage = node.querySelector('[data-e2e="enter-message"]');
          if (enterMessage) {
            const usernameElement = enterMessage.querySelector('[data-e2e="message-owner-name"]');
            if (usernameElement) {
              const username = usernameElement.textContent.trim();
              const timestamp = new Date().toISOString();

              // 构建用户进入数据
              const joinData = {
                username: username,
                content: '来了',
                timestamp: timestamp,
                type: '进入直播间'
              };

              // 发送到后端
              const url = "https://live2.tingwu.co/sphapi.php?action=add_join_log_tk&apikey=" + savedApikey;
              const formData = new FormData();
              formData.append('type', '进入直播间');
              formData.append('username', joinData.username);
              formData.append('content', joinData.content);
              formData.append('timestamp', joinData.timestamp);

              fetch(url, {
                method: "POST",
                body: formData
              })
              .then(response => response.json())
              .then(data => {
                if (data.error === 0) {
                  // 更新日志
                  updateLogArea_tk(JSON.stringify(joinData, null, 2), "进入直播间");
                }
              })
              .catch(error => {
                
              });
            }
          }
        }
      });
    });
  });

  // 开始监听用户进入消息
  observertkjoin.observe(document.body, {
    childList: true,
    subtree: true
  });
}

chrome.storage.local.get(['selectedFeaturetkdm']).then(result => {
  if(result.selectedFeaturetkdm == 'tkdm'){
    fetchTiktokComments();
    observeUserJoins();
  }
});

// 更新日志区域内容
function updateLogArea_tk(log, type = "信息") {
  const timestamp = new Date().toLocaleString("zh-CN", { hour12: false }).replace(/\//g, "-");
  const logWithTimestamp = `[${timestamp}] [${type}] ${log}`;
  
  chrome.storage.local.get(['logs_tk'], (result) => {
    let logs = result.logs_tk || [];
    logs.unshift(logWithTimestamp);
    if (logs.length > 50) {
      logs = logs.slice(0, 50);
    }
    
    chrome.storage.local.set({ logs_tk: logs }, () => {
      chrome.runtime.sendMessage({ type: "log_show_tk", logs_tk: logs });
    });
  });
}




});

